Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload.portlet
Class PortletRequestContext

    java.lang.Object
      org.apache.commons.fileupload.portlet.PortletRequestContext

All Implemented Interfaces:
  RequestContext

    public class PortletRequestContext

extends java.lang.Object
implements RequestContext

Provides access to the request information needed for a request made to a portlet.

Since:
  FileUpload 1.1
Version:
  $Id: PortletRequestContext.java 479262 2006-11-26 03:09:24Z niallp $
Author:
  Martin Cooper

Constructor Summary
`PortletRequestContext(javax.portlet.ActionRequest request)` Construct a context for this request.

Method Summary
`java.lang.String` | `getCharacterEncoding()` Retrieve the character encoding for the request.
`int` | `getContentLength()` Retrieve the content length of the request.
`java.lang.String` | `getContentType()` Retrieve the content type of the request.
`java.io.InputStream` | `getInputStream()` Retrieve the input stream for the request.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRequestContext

    public PortletRequestContext(javax.portlet.ActionRequest request)

  Construct a context for this request.

  Parameters:
    `request` - The request to which this context applies.

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Retrieve the character encoding for the request.

  Specified by:
    `getCharacterEncoding` in interface `RequestContext`
  Returns:
    The character encoding for the request.

### getContentType

    public java.lang.String getContentType()

  Retrieve the content type of the request.

  Specified by:
    `getContentType` in interface `RequestContext`
  Returns:
    The content type of the request.

### getContentLength

    public int getContentLength()

  Retrieve the content length of the request.

  Specified by:
    `getContentLength` in interface `RequestContext`
  Returns:
    The content length of the request.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Retrieve the input stream for the request.

  Specified by:
    `getInputStream` in interface `RequestContext`
  Returns:
    The input stream for the request.
  Throws:
    `java.io.IOException` - if a problem occurs.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.